cancel
Showing results for 
Search instead for 
Did you mean: 

Original topic:

Samsung Wearables not working with my a21 or my a20 (since one ui 2.1 update) please help!

(Topic created on: 10-18-2020 09:50 AM)
KingPenn
Beginner Level 2
Options
Galaxy A

So when my phone attempts to connect with the Samsung watch it gives the error "Not compatible with your version of Android check for updates and try again" my phone is up to date. How do I fix this?

1 Comment
Samsung_specialist
Community Manager
Options
Galaxy A

Hi there,

Please bring your mobile device and smart watch to a certified Samsung Service Center get them checked out and resolve the issue.

Hope that helps!

 

0 Likes